Mono.Security [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 79 15 99 77 D2 D0 3A 8E 6B EA 7A 2E 74 E8 D1 AF CC 93 E8 85 19 74 95 2B B4 80 A1 2C 91 34 47 4D 04 06 24 47 C3 7E 0E 68 C0 80 53 6F CF 3C 3F BE 2F F9 C9 79 CE 99 84 75 E5 06 E8 CE 82 DD 5B 0F 35 0D C1 0E 93 BF 2E EE CF 87 4B 24 77 0C 50 81 DB EA 74 47 FD DA FA 27 7B 22 DE 47 D6 FF EA 44 96 74 A4 F9 FC CF 84 D1 50 69 08 93 80 28 4D BD D3 5F 46 CD FF 12 A1 BD 78 E4 EF 00 65 D0 16 DF] 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Object System.ICloneable To be added To be added
- Constructor
  To be added
  To be added
  1.0.5000.0
  2.0.0.0
- Constructor
  a
  To be added
  To be added
  1.0.5000.0
  2.0.0.0
- Constructor
  2.0.0.0
  To be added.
  To be added.
  To be added.
  To be added.
- Constructor
  a
  a
  To be added
  To be added
  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` a To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` a a To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` a To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` a a To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` a To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` a a To be added To be added 1.0.5000.0 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Field
  System.String Object Identifier (OID) for a certificate bag The OID value is 1.2.840.113549.1.12.10.1.3 1.0.5000.0 2.0.0.0
- Property
  Mono.Security.X509.X509CertificateCollection A collection of all the certificates present in the PKCS#12 structure. a To be added 1.0.5000.0 2.0.0.0
- Method
  System.Object To be added a To be added 1.0.5000.0 2.0.0.0
- Field
  System.String Object Identifier (OID) for a Certificate Revocation List (CRL) bag The OID value is 1.2.840.113549.1.12.10.1.4 1.0.5000.0 2.0.0.0
- Field
  1.0.5000.0
  2.0.0.0
  System.Int32 32 To be added. To be added.
- Method
  System.Byte[] `` a To be added a To be added 1.0.5000.0 2.0.0.0
- Method
  System.Byte[] `` `` `` `` a a a a To be added a To be added 1.0.5000.0 2.0.0.0
- Method
  System.Byte[] `` `` `` `` a a a a To be added a To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void Used to destroy private informations (like the keys). To be added 1.0.5000.0 2.0.0.0
- Method
  System.Security.Cryptography.AsymmetricAlgorithm `` a To be added a To be added 1.0.5000.0 2.0.0.0
- Method
  System.Collections.IDictionary `` a To be added a To be added 1.0.5000.0 2.0.0.0
- Method
  System.Collections.IDictionary `` a To be added a To be added 1.0.5000.0 2.0.0.0
- Method
  System.Byte[] To be added a To be added 1.0.5000.0 2.0.0.0
- Method
  Mono.Security.X509.X509Certificate `` a To be added a To be added 1.0.5000.0 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Byte[] `` To be added. To be added. To be added. To be added.
- Property
  System.Int32 The number of iterations used to derive a key from the password. a To be added 1.0.5000.0 2.0.0.0
- Field
  System.String Object Identifier (OID) for key bag The OID value is 1.2.840.113549.1.12.10.1.1 1.0.5000.0 2.0.0.0
- Property
  System.Collections.ArrayList A list of all the keys present in the PKCS#12 structure. a To be added 1.0.5000.0 2.0.0.0
- Method
  Mono.Security.X509.PKCS12 `` a To be added a To be added 1.0.5000.0 2.0.0.0
- Method
  Mono.Security.X509.PKCS12 `` `` a a To be added a To be added 1.0.5000.0 2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  System.Int32 To be added. To be added. To be added.
- Property
  System.String Password used to decrypt the encrypted content inside the PKCS#12 structure. Nothing. This property only has a setter. Interoperability warning: Windows Certificate import wizard limits the password length to 31 characters. This restriction also seems present in the CryptoAPI's PFXImportCertStore. So any password longer than 31 characters probably won't be able to install properly using any MS tools. Both Mono and OpenSSL supports unlimited length password. 1.0.5000.0 2.0.0.0
- Field
  System.String Object Identifier (OID) for Password Based Encryption (PBE) with SHA1 and 128 bits RC2-CBC encryption The OID value is 1.2.840.113549.1.12.1.5 1.0.5000.0 2.0.0.0
- Field
  System.String Object Identifier (OID) for Password Based Encryption (PBE) with SHA1 and 128 bits RC4(tm) encryption The OID value is 1.2.840.113549.1.12.1.1 1.0.5000.0 2.0.0.0
- Field
  System.String Object Identifier (OID) for Password Based Encryption (PBE) with SHA1 and a double-key (128 bits) 3DES-CBC encryption The OID value is 1.2.840.113549.1.12.1.4 1.0.5000.0 2.0.0.0
- Field
  System.String Object Identifier (OID) for Password Based Encryption (PBE) with SHA1 and a triple-key (192 bits) 3DES-CBC encryption The OID value is 1.2.840.113549.1.12.1.3 1.0.5000.0 2.0.0.0
- Field
  System.String Object Identifier (OID) for Password Based Encryption (PBE) with SHA1 and 40 bits RC2-CBC encryption The OID value is 1.2.840.113549.1.12.1.6 1.0.5000.0 2.0.0.0
- Field
  System.String Object Identifier (OID) for Password Based Encryption (PBE) with SHA1 and 40 bits RC4(tm) encryption The OID value is 1.2.840.113549.1.12.1.2 1.0.5000.0 2.0.0.0
- Field
  System.String Object Identifier (OID) for PKCS#8 shrouded key bag The OID value is 1.2.840.113549.1.12.10.1.2 1.0.5000.0 2.0.0.0
- Method
  System.Void `` a To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` a a To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` a To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` a To be added To be added 1.0.5000.0 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Field
  System.String Object Identifier (OID) for safe contents bag The OID value is 1.2.840.113549.1.12.10.1.6 1.0.5000.0 2.0.0.0
- Method
  System.Void `` a To be added To be added 1.0.5000.0 2.0.0.0
- Field
  System.String Object Identifier (OID) for Simple Public Key Infrastructure (SPKI) certificate The OID value is 1.2.840.113549.1.9.22.2 1.0.5000.0 2.0.0.0
- Field
  System.String Object Identifier (OID) for a secret bag The OID value is 1.2.840.113549.1.12.10.1.5 1.0.5000.0 2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  System.Collections.ArrayList To be added. To be added. To be added.
- Field
  System.String Object Identifier (OID) for a X.509 certificate The OID value is 1.2.840.113549.1.9.22.1 1.0.5000.0 2.0.0.0
- Field
  System.String Object Identifier (OID) for a X.509 Certificate Revocation List (CRL) The OID value is 1.2.840.113549.1.9.23.1 1.0.5000.0 2.0.0.0